module BloqadeNoisy

using Reexport
using SciMLBase
using DiffEqBase
using YaoArrayRegister
using YaoSubspaceArrayReg
using YaoBlocks
using Kronecker
using DiffEqCallbacks
using SparseArrays
using StatsBase
using JSON
import Base.+
@reexport using BloqadeExpr
@reexport using BloqadeODE
@reexport using OrdinaryDiffEq
using BloqadeWaveforms: Waveform
using BloqadeExpr: Hamiltonian, get_rydberg_params
using LinearAlgebra

export NoisySchrodingerEquation, 
    NoisySchrodingerProblem,
    ErrorModel,
    Aquila,
    measure_noisy,
    expectation_value_noisy,
    emulate_noisy,
    simulation_series_mean,
    simulation_series_err,
    randomize,
    load_error_model,
    AQUILA

include("error_model.jl")
include("noise_models.jl")
include("problem.jl")

end
